## org.apache.tools.ant.taskdefs.optional.junit
Class BaseTest

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.junit.BaseTest

Direct Known Subclasses:
  BatchTest, JUnitTest

public abstract class BaseTest
extends java.lang.Object

Baseclass for BatchTest and JUnitTest.

Field Summary
`protected java.io.File` `destDir` destination directory
`protected java.lang.String` `errorProperty`
`protected java.lang.String` `failureProperty`
`protected boolean` `filtertrace`
`protected boolean` `fork`
`protected java.util.Vector` `formatters`
`protected boolean` `haltOnError`
`protected boolean` `haltOnFail`
`protected java.lang.String` `ifProperty`
`protected java.lang.String` `unlessProperty`

Constructor Summary
`BaseTest()`

Method Summary
`void` `addFormatter(FormatterElement elem)`
`java.lang.String` `getErrorProperty()`
`java.lang.String` `getFailureProperty()`
`boolean` `getFiltertrace()`
`boolean` `getFork()`
`boolean` `getHaltonerror()`
`boolean` `getHaltonfailure()`
`java.lang.String` `getTodir()`
`void` `setErrorProperty(java.lang.String errorProperty)`
`void` `setFailureProperty(java.lang.String failureProperty)`
`void` `setFiltertrace(boolean value)`
`void` `setFork(boolean value)`
`void` `setHaltonerror(boolean value)`
`void` `setHaltonfailure(boolean value)`
`void` `setIf(java.lang.String propertyName)`
`void` `setTodir(java.io.File destDir)` Sets the destination directory.
`void` `setUnless(java.lang.String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### haltOnError

    protected boolean haltOnError

### haltOnFail

    protected boolean haltOnFail

### filtertrace

    protected boolean filtertrace

### fork

    protected boolean fork

### ifProperty

    protected java.lang.String ifProperty

### unlessProperty

    protected java.lang.String unlessProperty

### formatters

    protected java.util.Vector formatters

### destDir

    protected java.io.File destDir

  destination directory

### failureProperty

    protected java.lang.String failureProperty

### errorProperty

    protected java.lang.String errorProperty

Constructor Detail

### BaseTest

    public BaseTest()

Method Detail

### setFiltertrace

    public void setFiltertrace(boolean value)

### getFiltertrace

    public boolean getFiltertrace()

### setFork

    public void setFork(boolean value)

### getFork

    public boolean getFork()

### setHaltonerror

    public void setHaltonerror(boolean value)

### setHaltonfailure

    public void setHaltonfailure(boolean value)

### getHaltonerror

    public boolean getHaltonerror()

### getHaltonfailure

    public boolean getHaltonfailure()

### setIf

    public void setIf(java.lang.String propertyName)

### setUnless

    public void setUnless(java.lang.String propertyName)

### addFormatter

    public void addFormatter(FormatterElement elem)

### setTodir

    public void setTodir(java.io.File destDir)

  Sets the destination directory.

### getTodir

    public java.lang.String getTodir()

  Returns:
    the destination directory as an absolute path if it exists otherwise return `null`

### getFailureProperty

    public java.lang.String getFailureProperty()

### setFailureProperty

    public void setFailureProperty(java.lang.String failureProperty)

### getErrorProperty

    public java.lang.String getErrorProperty()

### setErrorProperty

    public void setErrorProperty(java.lang.String errorProperty)

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.